Package com.usatiuk.dhfs.peerdiscovery

# Interface PeerDiscoveryInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PeerDiscoveryInfo`, `PeerDiscoveryInfo.Builder`

public interface PeerDiscoveryInfoOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getPort()`
`uint32 port = 2;`
`int`
`getSecurePort()`
`uint32 securePort = 3;`
`String`
`getUuid()`
`string uuid = 1;`
`com.google.protobuf.ByteString`
`getUuidBytes()`
`string uuid = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getUuid

String getUuid()
`string uuid = 1;`

Returns:
  The uuid.

### getUuidBytes

com.google.protobuf.ByteString getUuidBytes()
`string uuid = 1;`

Returns:
  The bytes for uuid.

### getPort

int getPort()
`uint32 port = 2;`

Returns:
  The port.

### getSecurePort

int getSecurePort()
`uint32 securePort = 3;`

Returns:
  The securePort.